function pert = evalDiagPert(X)
% function pert = evalDiagPert(X)
%
% Maximization step
% Version 1.0
% copyright by Hadas Benisty (2012)
% Technion
% contact hadasbe@tx.technion.ac.il
%
[ord, Ns] = size(X);
globalSourceMean = mean(X,2);
globalSourceVar = zeros(ord);
for t=1:Ns
    v=X(:,t)-globalSourceMean;
    globalSourceVar=globalSourceVar+v*transpose(v);
end;
globalSourceVar=(1/Ns)*globalSourceVar;
umb=zeros(1,ord);
for j=1:ord
    umb(j)=0.02*globalSourceVar(j,j);
end;
pert=min(umb);
end