function D_lsj = getLSGMMmatrixD(GMMsource, X_ls, P_ls, pars, j)
% function D_lsj = getLSGMMmatrixD(GMMsource, X_ls, P_ls, pars, j)
%
% Maximization step
% Version 1.0
% copyright by Hadas Benisty (2012)
% Technion
% contact hadasbe@tx.technion.ac.il
%
[N, ord] = size(X_ls);
D_lsj = -ones(N,pars.m);
for i=1:pars.m
    iE(:,:,i) = inv(GMMsource(i).E);
end
for i=1:pars.m
    D_lsj(:,i) = bsxfun(@times,(X_ls(:,j)-GMMsource(i).u(j))*iE(j,j,i),P_ls(:,i));
%     D_lsj(:,i) = P_ls(:,i).*(X_ls(:,j)-GMMsource(i).u(j))*iE(j,j,i);   
%     for n=1:N        
%         D_lsj(n,i) = P_ls(n,i).*(X_ls(n,j)-GMMsource(i).u(j))*iE(j,j,i)';        
%     end  
end
